SimpleStyleableIntegerProperty (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Class SimpleStyleableIntegerProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty
      - - javafx.beans.property.IntegerProperty
        - - javafx.beans.property.IntegerPropertyBase
          - - javafx.css.StyleableIntegerProperty
            - - javafx.css.SimpleStyleableIntegerProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

      public class SimpleStyleableIntegerProperty
      extends StyleableIntegerProperty

  This class extends `SimpleIntegerProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `IntegerProperty`, that would otherwise be implemented as a `SimpleIntegerProperty`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `SimpleIntegerProperty`, `CssMetaData`, `StyleableProperty`, `StyleableIntegerProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)` | The constructor of the `SimpleStyleableIntegerProperty`.
    `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Integer initialValue)` | The constructor of the `SimpleStyleableIntegerProperty`.
    `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableIntegerProperty`.
    `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Integer initialValue)` | The constructor of the `SimpleStyleableIntegerProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `CssMetaData<? extends Styleable,​Number>` | `getCssMetaData()` | Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.css.StyleableIntegerProperty

      `applyStyle, bind, getStyleOrigin, set`

    - ### Methods inherited from class javafx.beans.property.IntegerPropertyBase

      `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.IntegerProperty

      `asObject, bindBidirectional, integerProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyIntegerProperty

      `readOnlyIntegerProperty`

    - ### Methods inherited from class javafx.beans.binding.IntegerExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleStyleableIntegerProperty

          public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)

      The constructor of the `SimpleStyleableIntegerProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

    - #### SimpleStyleableIntegerProperty

          public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData,
                                                Integer initialValue)

      The constructor of the `SimpleStyleableIntegerProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `initialValue` - the initial value of the wrapped `Object`

    - #### SimpleStyleableIntegerProperty

          public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData,
                                                Object bean,
                                                String name)

      The constructor of the `SimpleStyleableIntegerProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`

    - #### SimpleStyleableIntegerProperty

          public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData,
                                                Object bean,
                                                String name,
                                                Integer initialValue)

      The constructor of the `SimpleStyleableIntegerProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `IntegerProperty`
        `name` - the name of this `IntegerProperty`
        `initialValue` - the initial value of the wrapped `Object`

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`

    - #### getCssMetaData

          public final CssMetaData<? extends Styleable,​Number> getCssMetaData()

      Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
      Returns:
        the corresponding CssMetaData